Skip to main content
POST
Search raw submissions

Authorizations

hookie_session
string
cookie
required

The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.

Path Parameters

pid
string
required

Project id (UUID) belonging to the caller workspace.

Body

application/json

All filters optional and ANDed.

q
string

Case-insensitive (ASCII) substring match against the raw submission payload.

source
string
status
enum<string>

Matched against forward_status.

Available options:
pending,
sent,
failed
since
string

ISO timestamp; matches received_at >= since.

until
string

ISO timestamp; matches received_at <= until.

limit
integer
default:25
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

One page of submissions, newest first. payload is truncated to 2000 characters.

entity
string
required
Allowed value: "submissions"
count
integer
required
total
integer
required
limit
integer
required
offset
integer
required
results
object[]
required